Search documentation of ExStreamClient

# ExStreamClient.Model.EntityCreatorResponse (ExStreamClient v0.1.10)

View Source

Schema representing a EntityCreatorResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.EntityCreatorResponse{
      ban_count: integer(),
      ban_expires: float() | nil,
      banned: boolean(),
      blocked_user_ids: [String.t()],
      created_at: float(),
      custom: %{optional(String.t()) => any()},
      deactivated_at: float() | nil,
      deleted_at: float() | nil,
      deleted_content_count: integer(),
      devices: [ExStreamClient.Model.DeviceResponse.t()] | nil,
      flagged_count: integer(),
      id: String.t(),
      image: String.t() | nil,
      invisible: boolean(),
      language: String.t(),
      last_active: float() | nil,
      name: String.t() | nil,
      online: boolean(),
      privacy_settings: ExStreamClient.Model.PrivacySettingsResponse.t() | nil,
      push_notifications:
        ExStreamClient.Model.PushNotificationSettingsResponse.t() | nil,
      revoke_tokens_issued_before: float() | nil,
      role: String.t(),
      shadow_banned: boolean(),
      teams: [String.t()],
      teams_role: %{optional(String.t()) => String.t()} | nil,
      updated_at: float()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()